## net.sf.colorer.eclipse.outline
Class ColorerContentOutlinePage

    java.lang.Object
      ContentOutlinePage
          net.sf.colorer.eclipse.outline.ColorerContentOutlinePage

All Implemented Interfaces:
  OutlineListener

public class ColorerContentOutlinePage
extends ContentOutlinePage
implements OutlineListener

Content outline page for the readme editor.

Constructor Summary
`ColorerContentOutlinePage()`

Method Summary
`void` `addDoubleClickListener(IDoubleClickListener dc)`
`void` `attach(WorkbenchOutliner structure, WorkbenchOutliner errors)`
`void` `createControl(Composite parent)`
`void` `detach()`
`void` `dispose()`
`void` `notifyUpdate()`
`void` `removeDoubleClickListener(IDoubleClickListener dc)`
`void` `updateIfChanged()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorerContentOutlinePage

    public ColorerContentOutlinePage()

Method Detail

### attach

    public void attach(WorkbenchOutliner structure,
                       WorkbenchOutliner errors)

### detach

    public void detach()

### dispose

    public void dispose()

### updateIfChanged

    public void updateIfChanged()

### notifyUpdate

    public void notifyUpdate()

  Specified by:
    `notifyUpdate` in interface `OutlineListener`

### addDoubleClickListener

    public void addDoubleClickListener(IDoubleClickListener dc)

### removeDoubleClickListener

    public void removeDoubleClickListener(IDoubleClickListener dc)

### createControl

    public void createControl(Composite parent)

Copyright © 2003 Cail Lomecb. All Rights Reserved.